package com.prolog.cs.biz.outbound.model.vo.check;

import com.prolog.framework.core.annotation.Column;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

@ApiModel("拼箱打印字段")
public class LclPrintParameterVO {
    @ApiModelProperty(value = "拼箱码")
    private String lclNo;
    @ApiModelProperty(value = "订单编码")
    private String billNo;
    @ApiModelProperty(value = "货主名称")
    private String cargoOwnerName;

    @ApiModelProperty(value = "部门名称")
    private String deptName;

    @ApiModelProperty(value = "联系电话")
    private String telephone;

    @ApiModelProperty(value = "重量")
    private String weight;

    @ApiModelProperty(value = "地址")
    private String address;
    @ApiModelProperty(value = "公司名称")
    private String company;

    @ApiModelProperty(value = "收货人")
    private String contacts;

    @ApiModelProperty(value = "复核员1")
    private String checker1;

    @ApiModelProperty(value = "复核员2")
    private String checker2;

    @ApiModelProperty(value = "复核员:含一次复核员、双人复核员")
    private String checker;

    @ApiModelProperty(value = "复核台")
    private String workstation;
    
    @ApiModelProperty(value = "集货区编码")
    private String workstageCode;

    @ApiModelProperty(value = "条形码")
    private String barcode;

    @ApiModelProperty(value = "运输路线")
    private String routeNo;

    @ApiModelProperty(value = "当前时间")
    private Date date;

    @ApiModelProperty(value = "订单类型")
    private String billType;

    @ApiModelProperty(value = "账期类型")
    private String paymentDayType;

    @ApiModelProperty(value = "业务员")
    private String bizUser;


    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "合单编号")
    private String DJBHQ;

    public String getChecker() {
        return checker;
    }

    public void setChecker(String checker) {
        this.checker = checker;
    }

    public String getDJBHQ() {
        return DJBHQ;
    }

    public void setDJBHQ(String DJBHQ) {
        this.DJBHQ = DJBHQ;
    }

    public String getBizUser() {
        return bizUser;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public void setBizUser(String bizUser) {
        this.bizUser = bizUser;
    }

    public String getPaymentDayType() {
        return paymentDayType;
    }

    public void setPaymentDayType(String paymentDayType) {
        this.paymentDayType = paymentDayType;
    }

    public String getBillNo() {
        return billNo;
    }

    public void setBillNo(String billNo) {
        this.billNo = billNo;
    }

    public String getCargoOwnerName() {
        return cargoOwnerName;
    }

    public void setCargoOwnerName(String cargoOwnerName) {
        this.cargoOwnerName = cargoOwnerName;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getWorkstation() {
        return workstation;
    }

    public void setWorkstation(String workstation) {
        this.workstation = workstation;
    }

    public String getLclNo() {
        return lclNo;
    }

    public void setLclNo(String lclNo) {
        this.lclNo = lclNo;
    }

    public String getTelephone() {
        return telephone;
    }

    public void setTelephone(String telephone) {
        this.telephone = telephone;
    }

    public String getWeight() {
        return weight;
    }

    public void setWeight(String weight) {
        this.weight = weight;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getCompany() {
        return company;
    }

    public void setCompany(String company) {
        this.company = company;
    }

    public String getContacts() {
        return contacts;
    }

    public void setContacts(String contacts) {
        this.contacts = contacts;
    }

    public String getChecker1() {
        return checker1;
    }

    public void setChecker1(String checker1) {
        this.checker1 = checker1;
    }

    public String getChecker2() {
        return checker2;
    }

    public void setChecker2(String checker2) {
        this.checker2 = checker2;
    }

    public String getWorkstageCode() {
        return workstageCode;
    }

    public void setWorkstageCode(String workstageCode) {
        this.workstageCode = workstageCode;
    }

    public String getBarcode() {
        return barcode;
    }

    public void setBarcode(String barcode) {
        this.barcode = barcode;
    }

    public String getRouteNo() {
        return routeNo;
    }

    public void setRouteNo(String routeNo) {
        this.routeNo = routeNo;
    }

    public Date getDate() {
        return date;
    }

    public void setDate(Date date) {
        this.date = date;
    }

    public String getBillType() {
        return billType;
    }

    public void setBillType(String billType) {
        this.billType = billType;
    }
}

